Subject: Re: How to increase kernel stack size?

From: Patrick Huesmann <[email-masked]>
Date: Tue, 10 May 2005 12:54:30 +0200

Just FYI:

The symbol INIT_TASK_SIZE defines the length of a union (task_union)
which holds the kernel stack. But when I define this value to be
larger than 8192, the kernel wouldn't boot.
So this value is probably hard-coded somewhere else.

BTW, I'm using 2.4.26

Does someone know how to increase the kernel stack size for PPC archs?
I really need more stack for my external interrupt b/c sometimes the
peripheral generates fast bursts on the external interrupt line, which
lead to kernel stack overflow.
(SA_INTERRUPT doesn't help because this is a realtime interrupt).

Any ideas?

TIA,
Patrick